# Class MuteRequest | EchoHub Documentation

# Class MuteRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record MuteRequest : IEquatable<MuteRequest>

Inheritance
  object
  MuteRequest

Implements
  IEquatable<MuteRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### MuteRequest(MuteRequest)

    protected MuteRequest(MuteRequest original)

#### Parameters

`original` MuteRequest

### MuteRequest(string?, int?)

    public MuteRequest(string? Reason = null, int? DurationMinutes = null)

#### Parameters

`Reason` string
`DurationMinutes` int?

## Properties

### DurationMinutes

    public int? DurationMinutes { get; init; }

#### Property Value

int?

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Reason

    public string? Reason { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string?, out int?)

    public void Deconstruct(out string? Reason, out int? DurationMinutes)

#### Parameters

`Reason` string
`DurationMinutes` int?

### Equals(MuteRequest?)

    public virtual bool Equals(MuteRequest? other)

#### Parameters

`other` MuteRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(MuteRequest?, MuteRequest?)

    public static bool operator ==(MuteRequest? left, MuteRequest? right)

#### Parameters

`left` MuteRequest
`right` MuteRequest

#### Returns

bool

### operator !=(MuteRequest?, MuteRequest?)

    public static bool operator !=(MuteRequest? left, MuteRequest? right)

#### Parameters

`left` MuteRequest
`right` MuteRequest

#### Returns

bool